Skip to main content
GET
/
queues
/
{queue_id}
/
agents
List agents on queue
curl --request GET \
  --url https://api.duvo.ai/v1/queues/{queue_id}/agents \
  --header 'Authorization: Bearer <token>'
{
  "queue_name": "<string>",
  "producers": [
    {
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_name": "<string>",
      "case_trigger_enabled": true,
      "case_trigger_queue_name": "<string>",
      "problems": []
    }
  ],
  "consumers": [
    {
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_name": "<string>",
      "case_trigger_enabled": true,
      "is_handover_target": true,
      "problems": []
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

queue_id
string<uuid>
required

The queue's unique identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Response

Default Response

queue_name
string
required
producers
object[]
required
consumers
object[]
required